Download it now!
Bug 67246 - FILEOPEN General input/output error for particular xls file
Summary: FILEOPEN General input/output error for particular xls file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.3 rc
Hardware: Other All
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords: bibisected, regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-07-24 08:07 UTC by walid
Modified: 2015-12-17 07:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
General input/output error when opening this file fom 4.1 RC3 (1.83 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-07-24 08:07 UTC, walid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description walid 2013-07-24 08:07:19 UTC
Created attachment 82902 [details]
General input/output error when opening this file fom 4.1 RC3

I can not Open Some of My xls Files from Calc 4.1 RC3 ,
But I Can open these files normally from 4.0 , 3.6 , 3.5 ....

Attached a sample file
Comment 1 Cor Nouws 2013-07-26 22:38:48 UTC
Hi Walid,

thanks for reporting.
I can confirm this. 
Opens fine in 4.0.4

(Should be tested too where in 4.1-branch this started...)
Comment 2 Terrence Enger 2013-07-27 12:59:09 UTC
Comment on attachment 82902 [details]
General input/output error when opening this file fom 4.1 RC3

changed mime type of attachment from text/plain to application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
Comment 3 Michael Meeks 2013-07-27 16:26:41 UTC
That's rather an odd 'XLS' file:

$ file /demo/OOo/vba/Gartner.xls 
/demo/OOo/vba/Gartner.xls: Composite Document File V2 Document, Little Endian, Os: Windows, Version 5.1, Code page: 1252, Title: New York 4pm Closing Rates for Friday, February 27, 2004, Last Saved By: WSteinle, Name of Creating Application: Microsoft Excel, Last Printed: Sat Feb 14 04:06:27 2004, Create Time/Date: Fri Sep 13 14:52:16 2002, Last Saved Time/Date: Fri Mar  5 22:59:24 2004, Security: 1

$ file /tmp/TESTFILE.XLS 
/tmp/TESTFILE.XLS: data

so 'file' doesn't sniff/detect it, it doesn't look like an OLE2 structured storage file. Where did you get this XLS file from ?

Then again perhaps it's a good sign that we get a general I/O error - since at least we attempt to load it :-)

Kohei - any thoughts ?
Comment 4 Terrence Enger 2013-07-27 16:39:17 UTC
From the daily bibisect ...

    f637c22fd795fe5405a058d840ec712549d6b0ca is the first bad commit
    commit f637c22fd795fe5405a058d840ec712549d6b0ca
    Author: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
    Date:   Sun Jul 14 08:22:50 2013 +0000

        source-hash-d9bfa462ba8dd0a966fe913fad49f300ea48f638
    
        commit d9bfa462ba8dd0a966fe913fad49f300ea48f638
        Author:     Caolán McNamara <caolanm@redhat.com>
        AuthorDate: Sat Jul 13 16:02:56 2013 +0100
        Commit:     Caolán McNamara <caolanm@redhat.com>
        CommitDate: Sat Jul 13 20:50:03 2013 +0100
    
            convert chart color options page to .ui
    
            Change-Id: I9420014d8bee8f71b5ab64aba5dbc7c27f4a25f4

    :100644 100644 d39608d5bfaabb05ed65a82a78e7dcd8fe5fd98c cdcccc305edbe8db7f624444ba58e83b0bebc4fb M	ccache.log
    :100644 100644 fca6e08772bb5031d07fbbcafc726477db2c6eb3 c459fc7265c6b2447e760dfc7cda56608a463c5f M	commitmsg
    :100644 100644 fdbcd547660f812aa0edc9636c558b74c5a5d79c e488e5e9c86be17fdf265e0c971beacf526b9453 M	dev-install.log
    :100644 100644 03e898884de40f671259b28c2e62abecd20aeba8 fb900b5bb96ef7529774b117bd2d876f3c53bf4c M	make.log
    :040000 040000 ceb5d993027213a62d6246fa0cc9d961c412cbcd 1ea2fc946d25fae75c519947e013dd4cf22c442d M	opt

and git bisect log shows ...

    # bad: [4118d739dbd71e16057ea926ef3ef696025d3b67] source-hash-5bd6a5110bb812f82a81e73422a7b14851f84441
    # good: [3e7462bd65e692bf0592d5b080b7716341b62a47] source-hash-1eddfce9894fd05315173744f495619189093dc7
    git bisect start 'latest' 'oldest'
    # good: [086c82fbd0a50dbf5dd28e8bcc7a6d702cea124e] source-hash-c74f2edfce221960fe546e88f2b3222d69d53598
    git bisect good 086c82fbd0a50dbf5dd28e8bcc7a6d702cea124e
    # good: [9c55481e7358a36177d62899fa1326b76e07332f] source-hash-4c3ad94c70f98f5062bf96a6f1339992b7ec2bd1
    git bisect good 9c55481e7358a36177d62899fa1326b76e07332f
    # good: [9342a3ee4ef4df633567057ea46530d79254b6d2] source-hash-0d61e5dcdbe2cec9df33ac22e3f0e4fbd6a07517
    git bisect good 9342a3ee4ef4df633567057ea46530d79254b6d2
    # good: [893c8a30f0419e92c94e9c6c435ee2531a6f748c] source-hash-2fc0fa62b26ce34675fcb94de59194592421eeb5
    git bisect good 893c8a30f0419e92c94e9c6c435ee2531a6f748c
    # good: [177c67106d0e92dd76255a9842c948a917d92cdf] source-hash-93ab5bc4daed5197a815275cf78fcc562bda4d5b
    git bisect good 177c67106d0e92dd76255a9842c948a917d92cdf
    # good: [026e2e8511005cabc026e4f27669067a9f7f1a3c] source-hash-cf6a74af5340c2c4fbf270a95bad12479524d9d4
    git bisect good 026e2e8511005cabc026e4f27669067a9f7f1a3c
    # good: [efb04c1c794ef7fc4cda1eb80880d333ca969a5e] source-hash-7908692490120350f2ad45241f7b19ba52dc0489
    git bisect good efb04c1c794ef7fc4cda1eb80880d333ca969a5e
    # bad: [6fa12dd521bc6671b4c092551c09cccc8c245549] source-hash-8bcb9090efe5a8c08881d0a39f102c5f736f2da6
    git bisect bad 6fa12dd521bc6671b4c092551c09cccc8c245549
    # bad: [f637c22fd795fe5405a058d840ec712549d6b0ca] source-hash-d9bfa462ba8dd0a966fe913fad49f300ea48f638
    git bisect bad f637c22fd795fe5405a058d840ec712549d6b0ca


In `git log`, I see the word "filter" ...

    commit d1fc3fce16172d7d619b6826de44528030ab36f8
    Author: Kohei Yoshida <kohei.yoshida@gmail.com>
    Date:   Fri Jul 12 18:02:23 2013 -0400

        fdo#64448: Don't get type name from incorrect filter.
    
        This causes wrong format type to get "detected" when testing for a
        completely different file format type.
    
        Change-Id: I230759e2be432beeae2db24c12369ccb4585f334
Comment 5 Kohei Yoshida 2013-07-27 21:13:45 UTC
This file is likely a BIFF2 aka Excel 2.x format, which only supports single sheet. Ah, good old days.
Comment 6 Kohei Yoshida 2013-07-28 00:06:27 UTC
Fixed on master (though I messed up the fdo bug number).

Cherry-pick request for 4.1 is sent out as well: 
https://gerrit.libreoffice.org/#/c/5145/
Comment 7 Commit Notification 2013-07-28 00:18:37 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b8e2a8194f41550c135a4b67580130aceb3d981

fdo#67246: previous commit has the wrong fdo bug number.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-07-28 13:07:07 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c1e1d99f10894718975300a052358de7e3fef2c&h=libreoffice-4-1

fdo#67246: Detect BIFF 2 (and 3) file format like we should.


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2013-07-28 13:08:33 UTC
Fixed.
Comment 10 Michael Meeks 2013-07-29 08:44:57 UTC
Thanks Kohei !
Comment 11 Robinson Tryon (qubit) 2015-12-17 07:16:26 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]